Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Class QueryProcessor

    java.lang.Object
      org.basex.core.Progress
          org.basex.query.QueryProcessor

Direct Known Subclasses:
  PFP, XPathProcessor, XQueryProcessor

    public abstract class QueryProcessor

extends Progress

This abstract class contains various methods which allow querying in the database. A variety of hierarchic parsers (XPath, XQuery, etc..) can be implemented on top of this class.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`byte[]` | `query` Initial node set.

Constructor Summary
`QueryProcessor(java.lang.String q)` Default Constructor.

Method Summary
`QueryContext` | `compile(Nodes nodes)` Parses the specified query and writes the result to the specified output stream.
`java.lang.String` | `det()` Returns detailed information on this progress.
`java.lang.String` | `getInfo()` Returns query background information.
`java.lang.String` | `head()` Returns short information on this process.
`double` | `prog()` Returns progress information.
`Result` | `query(Nodes n)` Parses the specified query and returns the result.
`Nodes` | `queryNodes(Nodes nodes)` Parses the specified query and returns the result nodes.

Methods inherited from class org.basex.core.Progress
`detail, header, progress, progress, stop, stopped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    public byte[] query

  Initial node set.

Constructor Detail

### QueryProcessor

    public QueryProcessor(java.lang.String q)

  Default Constructor.

  Parameters:
    `q` - query

Method Detail

### compile

    public final QueryContext compile(Nodes nodes)
                               throws QueryException

  Parses the specified query and writes the result to the specified output stream.

  Parameters:
    `nodes` - node context
  Returns:
    query expression
  Throws:
    `QueryException` - query exception

### det

    public final java.lang.String det()

  Description copied from class: `Progress`
  Returns detailed information on this progress.

  Returns:
    information in detail

### getInfo

    public final java.lang.String getInfo()

  Returns query background information.

  Returns:
    background information

### head

    public final java.lang.String head()

  Description copied from class: `Progress`
  Returns short information on this process.

  Returns:
    header information

### prog

    public final double prog()

  Description copied from class: `Progress`
  Returns progress information.

  Returns:
    header information

### query

    public final Result query(Nodes n)
                       throws QueryException

  Parses the specified query and returns the result.

  Parameters:
    `n` - node context
  Returns:
    result of query
  Throws:
    `QueryException` - query exception

### queryNodes

    public final Nodes queryNodes(Nodes nodes)
                           throws QueryException

  Parses the specified query and returns the result nodes.

  Parameters:
    `nodes` - node context
  Returns:
    result of query
  Throws:
    `QueryException` - query exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD